Subject: Re: [PATCH 2/2] config.mak.dev: alternative workaround to gcc 12 warning in http.c

From: Junio C Hamano <[email-masked]>
Date: Fri, 15 Apr 2022 17:28:06 -0700

Carlo Arenas <[email-masked]> writes:

> this would be IMHO a better fix than the one currently queued in
> ab/http-gcc-12-workaround and indeed squashes the warning with the gcc
> 12 version that is likely to be released with Fedora 36, 

That is an excellent news, as ...

> but notice
> that it was proposed before[1] and apparently didn't work with the
> version of the compiler that Ævar was using at that time, as
> documented in the commit message.

... I was the one who suggested it, and I remember that it didn't
work for Ævar back then.  If the problem with the version Ævar had
is no longer there, that does sound like a good thing.  We can take
the patch you posted and then post release we can apply the "clear
the .finished member as we are done with the slot" fix, which is a
good hygiene regardless of any compiler warning issue.

> Either way, my hope is (assuming this series will go earlier than the
> other one), that a revert to this commit is included at the end of
> ab/http-gcc-12-workaround, instead of adding any code changes to this
> series.

At this point, my inclination is to merge these two DEVELOPER_CFLAGS
changes before the 2.36 final gets tagged.

Thanks.